/[gentoo-x86]/app-office/libreoffice-bin/libreoffice-bin-3.6.6.2.ebuild
Gentoo

Contents of /app-office/libreoffice-bin/libreoffice-bin-3.6.6.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.3 - (hide annotations) (download)
Sat May 25 11:20:35 2013 UTC (15 months, 4 weeks ago) by ago
Branch: MAIN
Changes since 1.2: +2 -2 lines
Stable for x86, wrt bug #470988

(Portage version: 2.1.12.1/cvs/Linux x86_64, RepoMan options: --include-arches="x86", signed Manifest commit with key 7194459F)

1 dilfridge 1.1 # Copyright 1999-2013 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 ago 1.3 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-bin/libreoffice-bin-3.6.6.2.ebuild,v 1.2 2013/05/25 11:14:43 ago Exp $
4 dilfridge 1.1
5     EAPI=5
6    
7     KDE_REQUIRED="optional"
8     CMAKE_REQUIRED="never"
9    
10     BASE_AMD64_URI="mirror://gentoo/amd64-bin-"
11     BASE_X86_URI="mirror://gentoo/x86-bin-"
12    
13     inherit kde4-base java-pkg-opt-2 pax-utils prefix versionator
14    
15     DESCRIPTION="LibreOffice, a full office productivity suite. Binary package."
16     HOMEPAGE="http://www.libreoffice.org"
17     SRC_URI_AMD64="
18     kde? (
19     !java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-${PVR}.tar.xz )
20     java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
21     )
22     gnome? (
23     !java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
24     java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
25     )
26     !kde? ( !gnome? (
27     !java? ( ${BASE_AMD64_URI}${PN/-bin}-base-${PVR}.tar.xz )
28     java? ( ${BASE_AMD64_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
29     ) )
30     "
31     SRC_URI_X86="
32     kde? (
33     !java? ( ${BASE_X86_URI}${PN/-bin}-kde-${PVR}.tar.xz )
34     java? ( ${BASE_X86_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
35     )
36     gnome? (
37     !java? ( ${BASE_X86_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
38     java? ( ${BASE_X86_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
39     )
40     !kde? ( !gnome? (
41     !java? ( ${BASE_X86_URI}${PN/-bin}-base-${PVR}.tar.xz )
42     java? ( ${BASE_X86_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
43     ) )
44     "
45    
46     SRC_URI="
47     amd64? ( ${SRC_URI_AMD64} )
48     x86? ( ${SRC_URI_X86} )
49     "
50    
51     IUSE="+cups debug gnome java kde"
52     LICENSE="LGPL-3"
53     SLOT="0"
54 ago 1.3 KEYWORDS="-* amd64 x86"
55 dilfridge 1.1
56     BIN_COMMON_DEPEND="
57     =app-text/libexttextcat-3.4*
58     =dev-cpp/libcmis-0.2*
59     dev-libs/icu:0/51.1
60     =media-gfx/graphite2-1.2*
61     =media-libs/libpng-1.5*
62     >=sys-libs/glibc-2.15-r3
63     kde? ( >=kde-base/kdelibs-4.10.2:4 >=dev-qt/qtcore-4.8.4-r4:4 )
64     "
65    
66     # PLEASE place any restrictions that are specific to the binary builds
67     # into the BIN_COMMON_DEPEND block above.
68     # All dependencies below this point should remain identical to those in
69     # the source ebuilds.
70    
71     COMMON_DEPEND="
72     ${BIN_COMMON_DEPEND}
73     app-arch/zip
74     app-arch/unzip
75     >=app-text/hunspell-1.3.2-r3
76     app-text/mythes
77     >=app-text/libexttextcat-3.2
78     app-text/libwpd:0.9[tools]
79     app-text/libwpg:0.2
80     >=app-text/libwps-0.2.2
81     >=dev-cpp/clucene-2.3.3.4-r2
82     >=dev-cpp/libcmis-0.2:0.2
83     dev-db/unixODBC
84     dev-libs/expat
85     >=dev-libs/glib-2.28
86     >=dev-libs/hyphen-2.7.1
87     >=dev-libs/icu-4.8.1.1
88     >=dev-libs/nspr-4.8.8
89     >=dev-libs/nss-3.12.9
90     >=dev-lang/perl-5.0
91     >=dev-libs/openssl-1.0.0d
92     >=dev-libs/redland-1.0.14[ssl]
93     gnome-base/librsvg
94     media-gfx/graphite2
95     >=media-libs/fontconfig-2.8.0
96     media-libs/freetype:2
97     media-libs/lcms:2
98     >=media-libs/libpng-1.4
99     >=media-libs/libcdr-0.0.5
100     media-libs/libvisio
101     >=net-misc/curl-7.21.4
102     net-nds/openldap
103     sci-mathematics/lpsolve
104     >=sys-libs/db-4.8
105     virtual/jpeg
106     >=x11-libs/cairo-1.10.0[X]
107     x11-libs/libXinerama
108     x11-libs/libXrandr
109     x11-libs/libXrender
110     cups? ( net-print/cups )
111     >=dev-libs/dbus-glib-0.92
112     gnome? ( gnome-extra/evolution-data-server )
113     gnome? ( gnome-base/gconf:2 )
114     x11-libs/gdk-pixbuf[X]
115     >=x11-libs/gtk+-2.24:2
116     >=media-libs/gstreamer-0.10:0.10
117     >=media-libs/gst-plugins-base-0.10:0.10
118     net-libs/neon
119     "
120    
121     RDEPEND="${COMMON_DEPEND}
122     !app-office/libreoffice
123     !<app-office/openoffice-bin-3.4.0-r1
124     !app-office/openoffice
125     media-fonts/libertine-ttf
126     media-fonts/liberation-fonts
127     media-fonts/urw-fonts
128     java? ( >=virtual/jre-1.6 )
129     "
130    
131     PDEPEND="
132     =app-office/libreoffice-l10n-3.6*
133     "
134    
135     DEPEND=""
136    
137     # only one flavor at a time
138     REQUIRED_USE="kde? ( !gnome ) gnome? ( !kde )"
139    
140     RESTRICT="test strip"
141    
142     S="${WORKDIR}"
143    
144     PYTHON_UPDATER_IGNORE="1"
145    
146     pkg_pretend() {
147     [[ $(gcc-major-version) -lt 4 ]] || \
148     ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 4 ]] ) \
149     && die "Sorry, but gcc-4.4 and earlier won't work for libreoffice-bin package (see bug #387515)."
150     }
151    
152     pkg_setup() {
153     kde4-base_pkg_setup
154     }
155    
156     src_unpack() {
157     default
158     }
159    
160     src_prepare() {
161     cp "${FILESDIR}"/50-${PN} "${T}"
162     eprefixify "${T}"/50-${PN}
163     }
164    
165     src_configure() { :; }
166    
167     src_compile() { :; }
168    
169     src_install() {
170     dodir /usr
171     cp -aR "${S}"/usr/* "${ED}"/usr/
172    
173     # prevent revdep-rebuild from attempting to rebuild all the time
174     insinto /etc/revdep-rebuild && doins "${T}/50-${PN}"
175     }
176    
177     pkg_preinst() {
178     # Cache updates - all handled by kde eclass for all environments
179     kde4-base_pkg_preinst
180     }
181    
182     pkg_postinst() {
183     kde4-base_pkg_postinst
184    
185     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
186     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
187    
188     use cups && ! has_version net-print/cups || \
189     ewarn 'You will need net-print/cups to be able to print and export to PDF with libreoffice.'
190    
191     use java || \
192     ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
193     }
194    
195     pkg_postrm() {
196     kde4-base_pkg_postrm
197     }

  ViewVC Help
Powered by ViewVC 1.1.20